import { Component, OnInit } from '@angular/core';
import { Assignment } from './assignment.model';

@Component({
  selector: 'app-assignments',
  templateUrl: './assignments.component.html',
  styleUrls: ['./assignments.component.css'],
})
export class AssignmentsComponent implements OnInit {
  titre = 'Liste des assignments :';
  //ajoutActive = false;

  assignmentSelectionne?:Assignment;
  formVisible = false;

  assignments:Assignment[] = [
    {
      nom: 'Devoir WebComponents Buffa',
      dateDeRendu: new Date('2021-11-15'),
      rendu: false,
    },
    {
      nom: 'Devoir Angular Buffa',
      dateDeRendu: new Date('2021-12-18'),
      rendu: false,
    },
    {
      nom: 'Devoir Greg Galli gRails',
      dateDeRendu: new Date('2021-10-20'),
      rendu: true,
    },
  ];

  constructor() {}

  ngOnInit(): void {
    // appelé juste avant l'affichage
    /*
    setTimeout(() => {
      this.ajoutActive = true;
    }, 3000);
    */
  }

  getAssignmentColor(a: any) {
    return a.rendu ? 'green' : 'red';
  }


  assignmentClique(assignment:Assignment) {
    this.assignmentSelectionne = assignment;
    console.log("assignment clique = " + assignment.nom);
  }

  onAddAssignmentBtnClick() {
    this.formVisible = true;
  }

  onNouvelAssignment(assignment:Assignment) {
    // assignment envoyé par le composant add-assignment
    this.assignments.push(assignment);

    // on cache le formulaire et on affiche la liste
    this.formVisible = false;
  }
}
